Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.util.xml
Class XMLParserUtils

    java.lang.Object
      |
      +--org.apache.soap.util.xml.XMLParserUtils

public class XMLParserUtils
extends java.lang.Object

XML Parser Utilities Provides methods to set and use JAXP compatible XML parsers.

Constructor Summary
`XMLParserUtils()`

Method Summary
`static DocumentBuilder` | `getXMLDocBuilder()` Use this method to get a JAXP document builder.
`static void` | `refreshDocumentBuilderFactory(java.lang.String factoryClassName, boolean namespaceAware, boolean validating)` Causes the private DocumentBuilderFactory reference to point to a new instance of a DocumentBuilderFactory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLParserUtils

    public XMLParserUtils()

Method Detail

### refreshDocumentBuilderFactory

    public static void refreshDocumentBuilderFactory(java.lang.String factoryClassName,
                                                     boolean namespaceAware,
                                                     boolean validating)

  Causes the private DocumentBuilderFactory reference to point to a new instance of a DocumentBuilderFactory. This method only needs to be called if you want to specify a different DocumentBuilderFactory implementation then that specified prior to this class being initialized. Or, if you want to specify different configuration options.
  Parameters:
    `factoryClassName` - the fully-qualified name of a class that implemements DocumentBuilderFactory. If this argument is null, the default (platform-specific) implementation is used. Basically, if this argument is not null, the javax.xml.parsers.DocumentBuilderFactory system property is set (with the specified value) before the DocumentBuilderFactory.newInstance() method is invoked.
    `namespaceAware` - configure the new DocumentBuilderFactory to produce namespace aware parsers (i.e. DocumentBuilders)
    `validating` - configure the new DocumentBuilderFactory to produce validating parsers (i.e. DocumentBuilders)

### getXMLDocBuilder

    public static DocumentBuilder getXMLDocBuilder()
                                            throws java.lang.IllegalArgumentException

  Use this method to get a JAXP document builder. This method creates a namespace aware, nonvalidating instance of the XML parser.
  Returns:
    DocumentBuilder an instance of a document builder, or null if a ParserConfigurationException was thrown.
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.